#!/usr/bin/make -f

# Based on rules file from rt-extension-calendar

RT_VERSIONS=4 5
BASE=extension-mergeusers

%:
	dh $@

override_dh_auto_configure:
	rm -rf inc/Module
	for ver in $(RT_VERSIONS); do \
	  RTHOME=/usr/share/request-tracker$$ver INSTALLDIRS=vendor PREFIX= perl Makefile.PL INSTALLDIRS=vendor; \
	  mv Makefile Makefile$$ver; \
	done

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:
	for ver in $(RT_VERSIONS); do \
	  ln -sf Makefile$$ver Makefile; \
	  export PERL_INSTALL_ROOT=$(CURDIR)/debian/rt$$ver-$(BASE); \
	  make install; \
	  mkdir -p debian/rt-$(BASE)-common/usr/share/man/man3; \
	  mv -f debian/rt$$ver-$(BASE)/usr/share/man/man3/RT::Extension::MergeUsers.3pm debian/rt-$(BASE)-common/usr/share/man/man3; \
	  rm -rf debian/rt$$ver-$(BASE)/usr/share/man; \
	  rm -rf debian/rt$$ver-$(BASE)/usr/share/request-tracker$$ver/plugins/RT-Extension-MergeUsers/lib/RT/Extension/MergeUsers; \
	  find debian/rt$$ver-$(BASE) -name "*.in" | xargs rm; \
	  mkdir -p debian/rt$$ver-$(BASE)/usr/bin; \
	  mv debian/rt$$ver-$(BASE)/usr/share/request-tracker$$ver/plugins/RT-Extension-MergeUsers/bin/* debian/rt$$ver-$(BASE)/usr/bin; \
	  rmdir debian/rt$$ver-$(BASE)/usr/share/request-tracker$$ver/plugins/RT-Extension-MergeUsers/bin; \
	  for file in debian/rt$$ver-$(BASE)/usr/bin/*; do \
	    mv $$file $$file-$$ver; \
          done; \
        done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf MYMETA.yml
	for ver in $(RT_VERSIONS); do \
	  rm -f Makefile$$ver; \
        done
